ENH: RASModel.C: clipping input to log
[OpenFOAM-1.7.x.git] / bin / foamCopySettings
bloba9a44197c2c10a0a85d7ad89ff0dfae9f5eb9ca7
1 #!/bin/sh
2 #---------------------------------*- sh -*-------------------------------------
3 # ========= |
4 # \\ / F ield | OpenFOAM: The Open Source CFD Toolbox
5 # \\ / O peration |
6 # \\ / A nd | Copyright (C) 1991-2010 OpenCFD Ltd.
7 # \\/ M anipulation |
8 #------------------------------------------------------------------------------
9 # License
10 # This file is part of OpenFOAM.
12 # OpenFOAM is free software: you can redistribute it and/or modify it
13 # under the terms of the GNU General Public License as published by
14 # the Free Software Foundation, either version 3 of the License, or
15 # (at your option) any later version.
17 # OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
18 # ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
19 # FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
20 # for more details.
22 # You should have received a copy of the GNU General Public License
23 # along with OpenFOAM. If not, see <http://www.gnu.org/licenses/>.
25 # Script
26 # foamCopySettings
28 # Description
29 # Usage: foamCopySettings srcDir dstDir
31 # Copy OpenFOAM settings from one case to another, without copying
32 # the mesh or results
33 # - requires rsync
34 #------------------------------------------------------------------------------
35 if [ "$1" = "-h" -o "$1" = "-help" -o "$#" -ne 2 ]
36 then
37 cat <<USAGE 1>&2
38 Usage: ${0##*/} srcDir dstDir
40 Copy OpenFOAM settings from one case to another, without copying
41 the mesh or results.
42 - requires rsync
44 USAGE
45 exit 1
48 srcDir=${1%/}
49 dstDir=${2%/}
51 for i in $srcDir $dstDir
53 [ -d "$i" ] || { echo "Error: directory '$i' does not exist"; exit 1; }
54 done
56 # check that the srcDir looks okay
57 for i in $srcDir/constant $srcDir/system
59 if [ ! -d "$i" ]
60 then
61 echo "Error: no '${i##*/}' directory in '$srcDir'"
62 echo " does not appear to be an OpenFOAM case"
63 exit 1
65 done
67 # files and directories to copy
68 # avoid processor directories
69 fileList=$(find -H $srcDir -mindepth 1 -maxdepth 1 -not -name "processor*")
71 # TODO:
72 # - verify that it works with multiple mesh regions
73 # - special treatment for starting with negative crank angles
75 for i in $fileList
77 name="${i##*/}"
78 # skip numerical (results) directories (except 0)
79 # and things that look like log files or queuing system output
80 case "$name" in
81 [1-9] | [0-9]?* | log | *.log | foam.[eo][1-9]* )
82 echo "$i [skipped]"
83 continue
86 echo "$i -> $dstDir/$name"
87 rsync --exclude polyMesh --exclude "processor*" -a $i $dstDir
89 esac
90 done
92 # --------------------------------------------------------------- end-of-file